## aadict 0.2.3

=== Makefile ===
PKGNAME = aadict
include Makefile.python

=== debian/changelog ===
aadict (0.2.3-0kali3) kali-dev; urgency=medium

  * Drop 'Rules-Requires-Root: no' from d/control
  * Remove build-depends python3-nose and python3-coverage
  * Fix tests for modern Python
  * Updates for modern Python versions

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 07 Nov 2025 16:15:29 +0700

aadict (0.2.3-0kali2) kali-dev; urgency=medium

  [ Sophie Brun ]
  * Configure git-buildpackage for Kali
  * Add GitLab's CI configuration file
  * Do not use python3-six

  [ Kali Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Update standards version to 4.6.2, no changes needed.

  [ Ben Wilson ]
  * Remove template comment and switch spaces to tabs

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 24 Jan 2024 09:53:32 +0100

aadict (0.2.3-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 05 Nov 2020 09:33:49 +0100

=== debian/control ===
Source: aadict
Section: python
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders:
 Sophie Brun <sophie@offensive-security.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools,
Standards-Version: 4.6.2
Homepage: https://github.com/metagriffin/aadict
Vcs-Browser: https://gitlab.com/kalilinux/packages/aadict
Vcs-Git: https://gitlab.com/kalilinux/packages/aadict.git
Testsuite: autopkgtest-pkg-python

Package: python3-aadict
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Auto-Attribute Dict (Python 3)
 This package contains a Python dict sub-class that allows attribute-style
 access to dict items, e.g. d.foo is equivalent to d['foo']. aadict also
 provides a few other helpful methods, such as pick and omit methods. Also, an
 aadict is more call chaining friendly (e.g. methods such as update return
 self) and is pickle'able.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=aadict

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%aadict-$1.tar.gz%" \
   https://github.com/metagriffin/aadict/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
